%global git_date  20241222
%global git_hash  9fdffba1
%global git_ver  0.18.0

%global rel  54
%global src_name %{name}-%{git_date}-%{git_hash}.tar.xz


Name:           tinywl
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	1%{?dist}
Summary:        The "minimum viable product" Wayland compositor based on wlroots.
Group:          User Interface/X
License:        MIT
URL:            https://gitlab.freedesktop.org/wlroots/wlroots

Source0:	%{url}/%{src_name}

BuildRequires:  make gcc
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  wlroots-devel >= 0.13
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(xkbcommon)

%description
This is the "minimum viable product" Wayland compositor based on wlroots. It
aims to implement a Wayland compositor in the fewest lines of code possible,
while still supporting a reasonable set of features. Reading this code is the
best starting point for anyone looking to build their own Wayland compositor
based on wlroots.

%prep
%autosetup -n %{name}

%build
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mv tinywl %{buildroot}%{_bindir}

%files
%license LICENSE
%doc README.md
%{_bindir}/tinywl

%changelog
%autochangelog
